import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Orb extends Actor
{
    private int speed;
   
    public Orb()
    {
        speed = Greenfoot.getRandomNumber(5) + 1;
    }

    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);
        
        if (getX() == 0) 
        {
            Space space = (Space)getWorld();
            space.addScore(-20);
            space.removeObject(this);
        }
    }
}
