import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Rocket extends Actor
{
    public void act() 
    {
        checkKeyPress();
        checkCollision();
    }
    
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-4);
        }
        
        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+4);
        }
         if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }
        
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }
    
    }
    
    private void checkCollision()
    {
      if ( isTouching(Orb.class) )
        {
            Greenfoot.playSound("slurp.wav");
            removeTouching(Orb.class);
            Space space = (Space)getWorld();
            space.addScore(20);
        }

   	  if ( isTouching(Blackhole.class) )
        {
            removeTouching(Blackhole.class);
            Space space = (Space)getWorld();
            space.addScore(-100);
        }
    }        
} 


